Skip to main content
`Ctrl`+`K`

# DMStagRestoreProductCoordinateArraysRead

restore local product array access, read-only

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagRestoreProductCoordinateArraysRead(DM dm, void *arrX, void *arrY, void *arrZ)

Logically Collective

## Input Parameters

- dm - the `DMSTAG` object

- arrX - local 1D coordinate arrays for x direction

- arrY - local 1D coordinate arrays for y direction

- arrZ - local 1D coordinate arrays for z direction

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetProductCoordinateArrays()`, `DMStagGetProductCoordinateArraysRead()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex2.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages